local mod = ...




-- Building: Empty Houses -------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING", 
	Id = "BUILDING_EMPTY_HOUSE",
	Name = "BUILDING_EMPTY_HOUSE_NAME",
	Description = "BUILDING_EMPTY_HOUSE_DESC",
	BuildingType = "DECORATION",
    AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
	BuildingPartSetList = {
		{
			Name = "BUILDING_SET_EMPTY_HOUSE_1_NAME",
			BuildingPartList = { 
				"BUILDING_PART_HOUSING_SERF_DENSITY_1",
				"BUILDING_PART_HOUSING_SERF_DENSITY_2",
			}
		},
		{
			Name = "BUILDING_SET_EMPTY_HOUSE_2_NAME",
			BuildingPartList = { 
				"BUILDING_PART_HOUSING_CITIZEN_DENSITY_1",
				"BUILDING_PART_HOUSING_CITIZEN_DENSITY_2",
			}
		},
    },
	-- RequiredPartList = {
	-- 	{ Category = "CORE", Min = 1, Max = 1 },
	-- },
	-- VillagerRequired = { Status = "SERF", Quantity = 10 },
	IsEditable = true
})



-- Make houses moveable after building -------------------------------------------------------------------------------------
mod:override({
    Id = "BUILDING_PART_HOUSING_SERF_DENSITY_1",
    Name = "BUILDING_PART_HOUSING_SERF_DENSITY_1_NAME",
    IsMovableWhenBuilt = true,
    BuildingZone = nil
})

mod:override({
    Id = "BUILDING_PART_HOUSING_SERF_DENSITY_2",
    Name = "BUILDING_PART_HOUSING_SERF_DENSITY_2_NAME",
    IsMovableWhenBuilt = true,
    BuildingZone = nil
})

mod:override({
    Id = "BUILDING_PART_HOUSING_CITIZEN_DENSITY_1",
    Name = "BUILDING_PART_HOUSING_CITIZEN_DENSITY_1_NAME",
    IsMovableWhenBuilt = true,
    BuildingZone = nil
})

mod:override({
    Id = "BUILDING_PART_HOUSING_CITIZEN_DENSITY_2",
    Name = "BUILDING_PART_HOUSING_CITIZEN_DENSITY_2_NAME",
    IsMovableWhenBuilt = true,
    BuildingZone = nil
})
